Skip to content

Basic Information

This endpoint provides basic information about a cryptocurrency, including the crypto name, symbol, description, project name, founder, launch date (UTC), total supply, category, and more.


HTTP Request

bash
GET /market/v1/tickers/{symbol}/info?market={market}

Query Parameters

NameTypeRequiredDescription
marketenumYesMarket code. See supported values in the market enum definition.
symbolstringYesCrypto trading pair symbol, e.g., BTC-USDT
languageenumNoMulti-language support, defaults to English. See supported values in the language enum definition.

cURL Example

bash
curl --location --request GET '{$base_url}/market/v1/tickers/BTC-USDT/info?market=dcex' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'X-API-Signature: YOUR_GENERATED_SIGNATURE' \
--header 'X-API-Timestamp: 1746774142003'

Successful Response Format

Description of the response data fields.

NameTypeDescription
namestringCrypto name
symbolstringCrypto symbol
aboutstringDescription
company_namestringProject name
ceostringFounder
listing_datestringLaunch date (UTC)
total_sharesdecimalTotal supply
industrystringCategory
lot_sizedecimalCrypto base increment
spread_table_codestringSpread table code

Sample Success Response

json
{
  "code": 0,
  "data": {
    "name": "Bitcoin",
    "symbol": "BTC-USDT",
    "about": "Bitcoin is a decentralized digital currency...",
    "company_name": "Bitcoin Network",
    "ceo": "Satoshi Nakamoto",
    "listing_date": "2009-01-03T00:00:00Z",
    "total_shares": 21000000,
    "industry": "Cryptocurrency - Digital Currency",
    "lot_size": 0.00001
  }
}

Sample Error Response

json
{
  "code": 500,
  "message": "Internal Service Error",
  "details": ""
}